Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class TextChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.custom.TextChangedEvent

All Implemented Interfaces:
  Serializable

    public class TextChangedEvent

extends TypedEvent

This event is sent by the StyledTextContent implementor when a change to the text occurs.

See Also:
  Sample code and further information, Serialized Form

Field Summary

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TextChangedEvent(StyledTextContent source)` Create the TextChangedEvent to be used by the StyledTextContent implementor.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextChangedEvent

    public TextChangedEvent(StyledTextContent source)

  Create the TextChangedEvent to be used by the StyledTextContent implementor.

  Parameters:
    `source` - the object that will be sending the TextChangedEvent, cannot be null

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.